package com.godoro.samples.jdbc;

import java.sql.*;

public class DatabaseMetaDataTest {
    
  public static void main(String[] args)
    throws Exception
  {
    String driverClass="sun.jdbc.odbc.JdbcOdbcDriver";     
    Class.forName(driverClass);       
    String url="jdbc:odbc:mydatasource";     
    String username="sa";
    String password="godoro";
    Connection connection = DriverManager.getConnection(url,username,password);
    System.out.println("Connected to database");          
    
    DatabaseMetaData metaData=connection.getMetaData();  
    String productName=metaData.getDatabaseProductName();
    String version=metaData.getDatabaseProductVersion();
    
    System.out.println("Database : "+productName+" "+version);
        
    ResultSet rs=metaData.getTables(null, null,"%",new String[]{"TABLE"});
    System.out.println("Tablo ?simleri");
    while(rs.next()){
       System.out.println(rs.getString("TABLE_NAME"));
    }

  }
    
}
